---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  PC_Dialog 
--  Description : procedures for dialog to change Program Counter
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Widget.Button;
with Ada.Strings.Unbounded;
package PC_Dialog is
   PC_String : Ada.Strings.Unbounded.Unbounded_String;
   ------------------------------------------------
   -- gets called when OK button is pushed
   ------------------------------------------------
   procedure Ok(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   
   ------------------------------------------------
   -- gets called when PC is clicked
   ------------------------------------------------
   procedure PC_Click(
      Obj   : in out Mcc.Gui.Sized_Object'Class;
      Event : in     Mcc.Gui.Mouse_Event);
end PC_Dialog;