---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  ROBOT HELPERS 
--  Description : helper callbacks for resize, etc.
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Container.Window;

package Robot_Helpers is

   --------------------------------------------------------
   -- Use this callback to force a minimum size on the 
   -- Robot Interpreter window.
   --------------------------------------------------------
   procedure Robot_Resize_Handler (
      Obj    : in out Mcc.Gui.Container.Window.Window'Class;
      Width  : in     Integer;
      Height : in     Integer); 
end Robot_Helpers;